Subject: Re: How I can reset TCP sockets after long suspend/resume cyscle

From: Rick Jones <[email-masked]>
Date: Wed, 04 Jun 2008 14:02:36 -0700

While I know of at least one OS/stack which allows a root user to issue 
a command to abort a TCP connection, (and it may be two given their 
shared history) its use was always strongly discouraged.

> TCP should recover from this anyway. As soon as any activity happens
> on the connection the other end will respond with reset.  For an IMAP
> session doing the next get-mail should cause a connection reset.
> Now it is possible that mail client has other problems.

And one way for there to be activity would be for the application(s) in 
question to have an application-layer keepalive mechanism, or at the 
very least, set SO_KEEPALIVE on their connections.  And if they don't 
want to rely on the sysadmin to have set what they consider a 
"reasonable" value for when to start sending keepalive probes, a 
TCP_KEEPIDLE setsockopt() perhaps.

rick jones